package cn.sino.mark;

import cn.sino.common.config.CorsConfig;
import cn.sino.mark.common.properties.InnerUserProperties;
import cn.sino.mark.common.properties.JwtProperties;
import cn.sino.mark.common.properties.SnowflakeProperties;
import com.ctrip.framework.apollo.spring.annotation.EnableApolloConfig;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.FilterType;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * 启动入口
 *
 * @author zhangamin
 * @date 2022/3/15
 */
@Slf4j
//@EnableApolloConfig
@EnableCaching
@RequiredArgsConstructor
@EnableTransactionManagement
@ComponentScan(value = {"cn.sino.mark", "cn.sino.common"},excludeFilters= {@ComponentScan.Filter(type= FilterType.ASSIGNABLE_TYPE, value= {CorsConfig.class})})
@SpringBootApplication()
@EnableConfigurationProperties({
        SnowflakeProperties.class,
        JwtProperties.class,
        InnerUserProperties.class
})
public class SinoMarkApplication {

    public static void main(String[] args) {
        new SpringApplicationBuilder(SinoMarkApplication.class).run(args);
    }
}