package cn.sino.mark.common.config;

import cn.sino.common.util.SnowflakeIdFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 唯一ID生成器
 *
 * @author zhangamin
 * @date 2022/3/22
 */
@Configuration
public class SnowflakeConfig {

    @Value("${snowflake.work-id:0}")
    private Long workId;

    @Value("${snowflake.date-center-id:0}")
    private Long dateCenterId;

    @Bean(name = "snowflakeIdFactory")
    public SnowflakeIdFactory snowflakeIdFactory() {
        return new SnowflakeIdFactory(workId, dateCenterId);
    }

}