package cn.sino.mark.common.config.security;

import cn.hutool.json.JSONUtil;
import cn.sino.common.exception.BizException;
import cn.sino.common.vo.RestResponseVO;
import cn.sino.mark.common.constants.Constant;
import cn.sino.mark.common.enums.ErrorCodeEnum;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.web.access.AccessDeniedHandler;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author zhangamin
 * @description 自定义禁止访问处理
 * @className cn.sino.coop.common.config.security.CusAccessDeniedHandler
 * @date 2022/3/16
 */
public class CusAccessDeniedHandler implements AccessDeniedHandler {

    @Override
    public void handle(HttpServletRequest request, HttpServletResponse response, AccessDeniedException e) throws IOException {
        response.setContentType(Constant.APPLICATION_JSON_UTF8_VALUE);
        response.setStatus(HttpServletResponse.SC_OK);
        RestResponseVO<Object> forbidden = RestResponseVO.fail(
                new BizException(ErrorCodeEnum.FORBIDDEN.getCode(), ErrorCodeEnum.FORBIDDEN.getMessage()));
        response.getWriter().println(JSONUtil.toJsonStr(forbidden));
    }
}
