package cn.sino.mark.common.config.security;

import cn.hutool.json.JSONUtil;
import cn.sino.common.exception.BizException;
import cn.sino.common.vo.RestResponseVO;
import cn.sino.mark.common.constants.Constant;
import cn.sino.mark.common.enums.ErrorCodeEnum;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author zhangamin
 * @description 处理认证过程中的认证失败异常
 * @className cn.sino.coop.common.config.security.CusAuthenticationEntryPoint
 * @date 2022/3/16
 */
public class CusAuthenticationEntryPoint implements AuthenticationEntryPoint {

    @Override
    public void commence(HttpServletRequest request, HttpServletResponse response, AuthenticationException e) throws IOException {
        response.setContentType(Constant.APPLICATION_JSON_UTF8_VALUE);
        response.setStatus(HttpServletResponse.SC_OK);
        RestResponseVO<Object> fail = RestResponseVO.fail(
                new BizException(ErrorCodeEnum.AUTHORIZATION.getCode(), ErrorCodeEnum.AUTHORIZATION.getMessage()));
        response.getWriter().println(JSONUtil.toJsonStr(fail));
    }
}
