package cn.sino.mark.common.config.security;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.security.crypto.password.PasswordEncoder;

/**
 * @author zhangamin
 * @description 密码加密类(BCrypt)
 * @className cn.sino.mark.common.config.security.PasswordEncoderConfig
 * @date 2022/3/16
 */
@Configuration
public class PasswordEncoderConfig {

    /**
     * 密码加密器
     */
    @Bean
    public PasswordEncoder passwordEncoder() {
        return new BCryptPasswordEncoder();
    }

}
