package cn.sino.mark.common.config.security;

import cn.sino.mark.common.enums.SysUserStatusEnum;
import lombok.Data;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;

import java.util.ArrayList;
import java.util.Collection;

/**
 * spring security 登录用户明细
 *
 * @author zhangamin
 * @date 2021/12/22
 */
@Data
public class SysUserDetails implements UserDetails {

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 账号
     */
    private String account;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 密码
     */
    private String password;

    /**
     * 用户状态(0:正常;1:冻结)
     */
    private Integer status;

    /**
     * 是否删除(0:正常;1:已删除)
     */
    private Boolean isDelete;

    @Override
    public Collection<? extends GrantedAuthority> getAuthorities() {
        return new ArrayList<>();
    }

    @Override
    public String getPassword() {
        return password;
    }

    @Override
    public String getUsername() {
        return account;
    }

    @Override
    public boolean isAccountNonExpired() {
        return true;
    }

    @Override
    public boolean isAccountNonLocked() {
        return true;
    }

    @Override
    public boolean isCredentialsNonExpired() {
        return true;
    }

    @Override
    public boolean isEnabled() {
        return status == SysUserStatusEnum.NORMAL.getValue() &&
                Boolean.FALSE.equals(isDelete);
    }

    public String getUserName() {
        return userName;
    }
}