package cn.sino.mark.common.config.security.permission;

import org.aopalliance.intercept.MethodInvocation;
import org.springframework.security.access.expression.method.DefaultMethodSecurityExpressionHandler;
import org.springframework.security.access.expression.method.MethodSecurityExpressionHandler;
import org.springframework.security.access.expression.method.MethodSecurityExpressionOperations;
import org.springframework.security.core.Authentication;

/**
 * @author zhangamin
 * @description 自定义方法权限表达式处理方法
 * @className cn.sino.coop.common.config.security.permission.CustomMethodSecurityExpressionHandler
 * @date 2022/3/16
 */
public class CusMethodSecurityExpressionHandler extends DefaultMethodSecurityExpressionHandler
        implements MethodSecurityExpressionHandler {

    @Override
    protected MethodSecurityExpressionOperations createSecurityExpressionRoot(Authentication authentication,
                                                                              MethodInvocation invocation) {
        CustomSecurityExpressionRoot root = new CustomSecurityExpressionRoot(authentication);
        root.setPermissionEvaluator(getPermissionEvaluator());
        root.setThis(invocation.getThis());
        root.setTrustResolver(getTrustResolver());
        root.setDefaultRolePrefix(getDefaultRolePrefix());
        return root;
    }
}
