package cn.sino.mark.common.config.security.permission;

import org.springframework.security.access.expression.method.MethodSecurityExpressionHandler;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.security.config.annotation.method.configuration.GlobalMethodSecurityConfiguration;

/**
 * 进入controller鉴权
 *
 * @author zhangamin
 * @date 2021/12/22
 */
@EnableGlobalMethodSecurity(prePostEnabled = true)
public class PermissionConfig extends GlobalMethodSecurityConfiguration {

    private final CusPermissionEvaluator cusPermissionEvaluator;

    public PermissionConfig(CusPermissionEvaluator myPermissionEvaluator) {
        this.cusPermissionEvaluator = myPermissionEvaluator;
    }

    @Override
    protected MethodSecurityExpressionHandler createExpressionHandler() {
        CusMethodSecurityExpressionHandler expressionHandler = new CusMethodSecurityExpressionHandler();
        expressionHandler.setPermissionEvaluator(cusPermissionEvaluator);
        return expressionHandler;
    }
}
