package cn.sino.mark.common.constants;

/**
 * @author zhangamin
 * @description 全局通用静态变量
 * @className cn.sino.coop.common.constants.Constants
 * @date 2022/3/16
 */
public class Constant {

    /**
     * 拿不到用户ID或者定时任务中的当前登录人ID
     */
    public static final long DEFAULT_BY = 0L;

    /**
     * 后台管理系统授权token的头部键名
     */
    public static final String ADMIN_TOKEN_HEADER_KEY = "X-Sino-Mark-Token";

    /**
     * 协作系统客户端token的头部键名
     */
    public static final String TOKEN_HEADER_KEY = "X-Sino-Token";

    /**
     * 匿名用户
     */
    public static final String ANONYMOUS_USER = "anonymoususer";

    /**
     * 后台登录session默认保存8小时
     */
    public static final int ADMIN_LOGIN_SESSION_TIME = 8;
    public static final int CLIENT_LOGIN_SESSION_TIME = 8;

    /**
     * 登陆相关的redis键
     */
    public static final String ADMIN_LOGIN_KEY = "mark:admin_login:";
    public static final String LOGIN_USER_INFO = "user_info";
    public static final String LOGIN_USER_ROLES = "user_roles";
    public static final String LOGIN_USER_PERMS = "user_perms";

    /**
     * 超级管理员角色代码
     */
    public static final String ADMIN_ROLE = "Administrator";

    /**
     * json content-type
     */
    public static final String APPLICATION_JSON_UTF8_VALUE = "application/json;charset=UTF-8";

    /**
     * 分页
     */
    public static final int DEFAULT_PAGE_INDEX = 1;
    public static final int DEFAULT_PAGE_SIZE = 10;

    /**
     * 客户端登录时间差误差范围(5分钟 = 5 * 60 * 1000L)
     */
    public static final long CLIENT_LOGIN_TIMESTAMP_DIFF = 300000L;

    /**
     * 年-月-日 时:分:秒
     */
    public static final String DATETIME_FORMAT = "yyyy-MM-dd HH:mm:ss";

    /**
     * 年-月-日
     */
    public static final String DATE_FORMAT = "yyyy-MM-dd";

    /**
     * 默认密码
     */
    public static final String DEFAULT_PASSWORD = "000000000";

    /**
     * 用户信息key
     */
    public static final String USER_INFO_ACCOUNT = "mark:user:account";
    public static final String USER_INFO_ID = "mark:user:id";
}