package cn.sino.mark.common.enums;


import lombok.Getter;

/**
 * @author sch
 * @description 项目状态枚举
 * @className cn.sino.mark.common.enums.ProjectStatusEnum
 * @date 2022/4/5
 */
@Getter
public enum ProjectStatusEnum {

    DRAFT(0, "草稿状态"),
    OFFICIAL(1, "正式状态"),
    WAIT_ASSIGN(2, "待分配"),
    ASSIGNED(3, "已分配"),
    STARTED(4, "已开始"),
    FINISHED(5, "已完成"),
    PART_EXPIRED(6, "部分过期"),
    ACCESS(7, "已验证");


    ProjectStatusEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    private final int value;
    private final String name;

    public static String getName(int value) {
        for (ProjectStatusEnum obj : ProjectStatusEnum.values()) {
            if (obj.getValue() == value) {
                return obj.getName();
            }
        }
        return "";
    }
}
