package cn.sino.mark.common.enums;

import lombok.Getter;

/**
 * @author sch
 * @description 资源f分配状态枚举
 * @className cn.sino.mark.common.enums.ResourceAssignStatusEnum
 * @date 2022/4/3
 */
@Getter
public enum ResourceAssignStatusEnum {

    ASSIGNED(1, "已分配"), NOT_ASSIGNED(0, "未分配");

    private final Integer value;
    private final String name;

    ResourceAssignStatusEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public static String getName(Integer value){
        for (ResourceAssignStatusEnum posts : ResourceAssignStatusEnum.values()) {
            if (posts.getValue().equals(value)) {
                return posts.getName();
            }
        }
        return "";
    }
}
