package cn.sino.mark.common.enums;

import lombok.Getter;

/**
 * @author sch
 * @description 资源分类状态枚举
 * @className cn.sino.mark.common.enums.ResourceTypeEnum
 * @date 2022/4/1
 */
@Getter
public enum ResourceTypeEnum {


    /**
     * 文本
     */
    DOC(0, "文本"),

    /**
     * 图片
     */
    PICTURE(1, "图片"),

    /**
     * 视频
     */
    MOVIE(2, "视频"),

    /**
     * 链接
     */
    LINK(3, "链接");

    private final Integer value;
    private final String name;

    ResourceTypeEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public static String getName(Integer value) {
        for (ResourceTypeEnum posts : ResourceTypeEnum.values()) {
            if (posts.getValue().equals(value)) {
                return posts.getName();
            }
        }
        return "";
    }
}
