package cn.sino.mark.common.enums;

import lombok.Getter;

/**
 * @author sch
 * @description 抽样状态
 * @className cn.sino.mark.common.enums.SampleTypeEnums
 * @date 2022/4/7
 */
@Getter
public enum SampleTypeEnums {

    NONE(0, "未抽样"), SUCCESS(1, "验证成功"), FAIL(2, "验证失败");

    private final Integer value;
    private final String name;

    SampleTypeEnums(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public static String getName(Integer value) {
        for (SampleTypeEnums mark : SampleTypeEnums.values()) {
            if (mark.getValue().equals(value)) {
                return mark.getName();
            }
        }
        return "";
    }
}
