package cn.sino.mark.common.enums;

import lombok.Getter;

/**
 * @author sch
 * @description 角色
 * @className cn.sino.mark.common.enums.cn.sino.mark.common.enums.SysRoleEnums
 * @date 2022/4/9
 */
@Getter
public enum SysRoleEnums {

    ADMIN(1, "超级管理员"),
    USER_MANAGER(2, "人员管理负责人"),
    TASK_MANAGER(3, "任务分配负责人"),
    CATEGORY_MANAGER(4, "分类管理负责人"),
    RESOURCE_MANAGER(5, "资源管理负责人"),
    INNER_MARKER(6, "标注员(外部)"),
    OUTER_MARKER(7, "标注员(内部)");

    private final Integer value;
    private final String name;

    SysRoleEnums(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public static String getName(Integer value) {
        for (SysRoleEnums mark : SysRoleEnums.values()) {
            if (mark.getValue().equals(value)) {
                return mark.getName();
            }
        }
        return "";
    }
}
