package cn.sino.mark.common.enums;


import lombok.Getter;

/**
 * @author zhangamin
 * @description 用户状态枚举
 * @className cn.sino.mark.common.enums.SysUserLeaveEnum
 * @date 2022/3/16
 */
@Getter
public enum SysUserStatusEnum {

    /**
     * 正常
     */
    NORMAL(0, "正常"),

    /**
     * 冻结
     */
    FROZEN(1, "作废");

    SysUserStatusEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    private final int value;
    private final String name;
    public static String getName(int value) {
        for (SysUserStatusEnum obj : SysUserStatusEnum.values()) {
            if (obj.getValue() == value) {
                return obj.getName();
            }
        }
        return "";
    }
}
