package cn.sino.mark.common.enums;


import lombok.Getter;

/**
 * @author sch
 * @description 用户类型枚举
 * @className cn.sino.mark.common.enums.SysUserTypeEnum
 * @date 2022/3/29
 */
@Getter
public enum SysUserTypeEnum {

    /**
     * 外部员工
     */
    OUTER_EMPLOYEE(0, "外部员工"),

    /**
     * 内部员工
     */
    INNER_EMPLOYEE(1, "内部员工");

    SysUserTypeEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    private final int value;
    private final String name;
    public static String getName(int value) {
        for (SysUserTypeEnum obj : SysUserTypeEnum.values()) {
            if (obj.getValue() == value) {
                return obj.getName();
            }
        }
        return "";
    }
}
