package cn.sino.mark.common.enums;

import lombok.Getter;

/**
 * @author sch
 * @description 任务标注状态
 * @className cn.sino.mark.common.enums.TaskMarkEnums
 * @date 2022/4/5
 */
@Getter
public enum TaskMarkEnums {

    MARK(0, "打标"), QUEST(2, "存疑"), IGNORE(1, "忽略");

    private final Integer value;
    private final String name;

    TaskMarkEnums(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public static String getName(Integer value) {
        for (TaskMarkEnums mark : TaskMarkEnums.values()) {
            if (mark.getValue().equals(value)) {
                return mark.getName();
            }
        }
        return "";
    }
}
