package cn.sino.mark.common.enums;

import lombok.Getter;

/**
 * @author sch
 * @description 任务运行状态
 * @className cn.sino.mark.common.enums.TaskRunningEnums
 * @date 2022/4/8
 */
@Getter
public enum TaskRunningEnums {

    WAIT(0, "未开始"), RUNNING(1, "进行中"), COMPLETED(2, "已完成"), EXPIRED(3, "已过期");

    private final Integer value;
    private final String name;

    TaskRunningEnums(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public static String getName(Integer value) {
        for (TaskRunningEnums mark : TaskRunningEnums.values()) {
            if (mark.getValue().equals(value)) {
                return mark.getName();
            }
        }
        return "";
    }
}
