package cn.sino.mark.common.filter;

import cn.hutool.core.util.IdUtil;
import org.slf4j.MDC;
import org.springframework.core.annotation.Order;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import java.io.IOException;

@Order(-10000)
@WebFilter(urlPatterns = "/*", filterName = "logMdcFilter")
public class LogMdcFilter implements Filter {

    private static final String UNIQUE_ID = "traceId";

    @Override
    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain) throws IOException, ServletException {
        String uniqueId = IdUtil.fastSimpleUUID();
        MDC.put(UNIQUE_ID, uniqueId);
        try {
            chain.doFilter(request, response);
        } finally {
            MDC.remove(UNIQUE_ID);
        }
    }
}
