package cn.sino.mark.common.log;


import cn.sino.mark.common.enums.LogTypeEnum;


/**
 * @author zhangamin
 * @description 日志试题
 * @className cn.sino.mark.common.log.Log
 * @date 2022/3/30
 */
@SuppressWarnings({"java:S1700"})
public class Log {


    /**
     * 日志
     */
    private String log;

    /**
     * 日志类型
     */
    private LogTypeEnum logType;

    public Log(Builder builder) {
        this.log = builder.stringBuilder.toString();
        this.logType = builder.logType;
    }

    public static Builder builder() {
        return new Builder();
    }

    public String getLog() {
        return log;
    }

    public void setLog(String log) {
        this.log = log;
    }

    public LogTypeEnum getLogType() {
        return logType;
    }

    public void setLogType(LogTypeEnum logType) {
        this.logType = logType;
    }

    /**
     * builder模式
     */
    public static class Builder {

        private LogTypeEnum logType;

        private StringBuilder stringBuilder = new StringBuilder();

        public Builder append(String log) {
            stringBuilder.append(log);
            return this;
        }

        public Builder isLogin() {
            this.logType = LogTypeEnum.LOGIN;
            return this;
        }

        public Builder isInsert() {
            this.logType = LogTypeEnum.INSERT;
            return this;
        }

        public Builder isUpdate() {
            this.logType = LogTypeEnum.UPDATE;
            return this;
        }

        public Builder isDelete() {
            this.logType = LogTypeEnum.DELETE;
            return this;
        }

        public Builder type(LogTypeEnum logType) {
            this.logType = logType;
            return this;
        }

    }

    @Override
    public String toString() {
        return "【日志描述:" + this.log + ";日志类型:" + this.logType.getName() + "】";
    }
}
