package cn.sino.mark.common.log;

import cn.sino.mark.common.utils.IPHelper;
import cn.sino.mark.common.utils.LoginUserUtil;
import cn.sino.mark.dao.mapper.SysLogMapper;
import cn.sino.mark.dao.model.SysLogDO;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.time.LocalDateTime;
import java.util.Objects;


/**
 * @author zhangamin
 * @description 日志监听器
 * @className cn.sino.mark.common.log.SysLogEvent
 * @date 2022/3/30
 */
@Component
public class SysLogListener implements ApplicationListener<SysLogEvent> {

    private final SysLogMapper sysLogMapper;

    public SysLogListener(SysLogMapper sysLogMapper) {
        this.sysLogMapper = sysLogMapper;
    }

    @Override
    public void onApplicationEvent(SysLogEvent sysLogEvent) {
        Log log = (Log) sysLogEvent.getSource();
        HttpServletRequest req = ((ServletRequestAttributes) Objects.requireNonNull(RequestContextHolder.getRequestAttributes())).getRequest();
        SysLogDO sysLog = new SysLogDO();
        sysLog.setAccount(LoginUserUtil.getLoginUser().getAccount());
        sysLog.setUserName(LoginUserUtil.getLoginUser().getUserName());
        sysLog.setIp(IPHelper.getIpAddress(req));
        sysLog.setType(log.getLogType().getValue());
        sysLog.setLog(log.getLog());
        sysLog.setCreateTime(LocalDateTime.now());
        sysLogMapper.insert(sysLog);
    }

}
