package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author zhangamin
 * @description 新增分类
 * @className cn.sino.mark.common.model.dto.AddCategoryDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class AddCategoryDTO {

    /**
     * 分类名称
     */
    @NotBlank(message = "分类名称不能为空")
    @ApiModelProperty(value = "分类名称", required = true)
    private String categoryName;

    /**
     * 上级分类ID
     */
    @ApiModelProperty("上级分类ID")
    private String parentId;

    /**
     * 是否根分类(0:不是,1:是)
     */
    @ApiModelProperty("是否根分类(0:不是,1:是)")
    @NotNull(message = "是否根分类不能为空")
    private Integer isBaseCategory;
}