package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.*;
import java.util.List;

/**
 * @author sch
 * @description 新增用户
 * @className cn.sino.mark.common.model.dto.AddInnerUserDTO
 * @date 2022/4/18
 */
@Data
@ApiModel
public class AddInnerUserDTO {
    /**
     * 登录账号
     */
    @ApiModelProperty("登录账号")
    @NotBlank(message = "登录账号不能为空")
    @Size(min = 5, max = 16, message = "登录账号长度在{min}~{max}之间")
    private String account;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @NotBlank(message = "用户姓名不能为空")
    @Size(min = 1, max = 20, message = "用户姓名长度在{min}~{max}之间")
    private String userName;

    /**
     * 是否作废（0：正常，1：作废）
     */
    @ApiModelProperty("是否作废（0：正常，1：作废）")
    @NotNull(message = "请选择是否作废")
    private Integer status;

    /**
     * 角色
     */
    @ApiModelProperty("角色")
    @NotEmpty(message = "角色信息不能为空")
    private List<Long> roleIds;

    /**
     * 部门ID
     */
    @ApiModelProperty("部门ID")
    @NotNull(message = "请选择部门")
    private Long deptId;
}
