package cn.sino.mark.common.model.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author zhangamin
 * @date 2020/11/25
 */
public class AddPermReqDTO {

    @Size(min = 1,max = 30,message = "权限名称长度在{min}~{max}之间")
    @NotNull(message = "权限名称不能为空")
    private String permName;

    @Size(min = 1,max = 512,message = "权限代码长度在{min}~{max}之间")
    @NotNull(message = "权限代码不能为空")
    private String permCode;

    @NotNull(message = "是否是菜单（0：不是；1：是）")
    private int isMenu;

    @NotNull(message = "父节点id不能为空")
    private Long parentId;

    @NotNull(message = "请选择是否默认拥有")
    private Integer isDefault;

    public String getPermName() {
        return permName;
    }

    public void setPermName(String permName) {
        this.permName = permName;
    }

    public String getPermCode() {
        return permCode;
    }

    public void setPermCode(String permCode) {
        this.permCode = permCode;
    }

    public int getIsMenu() {
        return isMenu;
    }

    public void setIsMenu(int isMenu) {
        this.isMenu = isMenu;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }
}
