package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author zhangamin
 * @description 新增分组
 * @className cn.sino.mark.common.model.dto.AddProjectGroupDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class AddProjectGroupDTO {

    /**
     * 分组名称
     */
    @NotBlank(message = "分组名称不能为空")
    @ApiModelProperty(value = "分组名称", required = true)
    private String groupName;

    /**
     * 上级分组ID
     */
    @ApiModelProperty("上级分组ID")
    private Long parentId;

    /**
     * 是否根项目组
     */
    @ApiModelProperty("是否根项目组")
    @NotNull(message = "是否为一级项目组不能为空")
    private Integer isBaseGroup;
}