package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author zhangamin
 * @description 新增项目资源
 * @className cn.sino.mark.common.model.dto.AddProjectResourceDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class AddProjectResourceDTO {

    /**
     * 项目ID
     */
    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    /**
     * 项目资源ID集合
     */
    @ApiModelProperty("项目资源ID集合")
    @NotEmpty(message = "资源ID不能为空")
    private List<Long> resourceIds;

    /**
     * 是否编辑(0:新增,1:编辑)
     */
    @ApiModelProperty("是否编辑(0:新增,1:编辑)")
//    @NotNull(message = "是否编辑不能为空")
    private Integer isEdit;
}