package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author zhangamin
 * @description 新增资源
 * @className cn.sino.mark.common.model.dto.AddResourceDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class AddResourceDTO {

    /**
     * 资源(数据集)名称
     */
    @ApiModelProperty(value = "资源(数据集)名称", required = true)
    @NotBlank(message = "数据集名称不能为空")
    @Size(min = 1, max = 20, message = "数据集名称长度在{min}~{max}之间")
    private String name;

    /**
     * 资源类型(0:文本,1:图片,2:视频)
     */
    @ApiModelProperty(value = "资源类型(0:文本,1:图片,2:视频)", required = true)
    @NotNull(message = "资源类型不能为空")
    private Integer type;

}