package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @Description 编辑标签参数
 * @Author sch
 * @Date 2022/9/8 16:50
 * @Version 1.0
 **/
@ApiModel
@Data
public class EditLabelDTO {
    /**
     * 标签id
     */
    @ApiModelProperty("标签id")
    @NotNull(message = "标签id不能为空")
    private Long id;

    /**
     * 标签名称
     */
    @ApiModelProperty("标签名称")
    @NotBlank(message = "标签名称不能为空")
    @Size(min = 1, max = 45, message = "标签名称长度在{min}~{max}之间")
    private String name;

    /**
     * 标签可选项
     */
    @ApiModelProperty("标签可选项")
    @NotEmpty(message = "至少需要1个可选项")
    @Size(min = 1, max = 8, message = "选项数量在{min}~{max}之间")
    private List<String> labelItemNames;
}
