package cn.sino.mark.common.model.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author zhangamin
 * @date 2020/11/23
 */
public class EditPermReqDTO {

    @NotNull(message = "权限id不能为空")
    private Long permId;

    @Size(min = 1,max = 30,message = "权限名称长度在{min}~{max}之间")
    @NotNull(message = "权限名称不能为空")
    private String permName;

    @Size(min = 1,max = 512,message = "权限代码长度在{min}~{max}之间")
    @NotNull(message = "权限代码不能为空")
    private String permCode;

    @NotNull(message = "是否是菜单（0：不是；1：是）")
    private Integer isMenu;

    @NotNull(message = "是否可分配（0：否；1：是）")
    private Integer isDefault;

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public Long getPermId() {
        return permId;
    }

    public void setPermId(Long permId) {
        this.permId = permId;
    }

    public String getPermName() {
        return permName;
    }

    public void setPermName(String permName) {
        this.permName = permName;
    }

    public String getPermCode() {
        return permCode;
    }

    public void setPermCode(String permCode) {
        this.permCode = permCode;
    }

    public Integer getIsMenu() {
        return isMenu;
    }

    public void setIsMenu(Integer isMenu) {
        this.isMenu = isMenu;
    }
}
