package cn.sino.mark.common.model.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author sch
 * @description 导出标注结果条件
 * @className cn.sino.mark.common.model.dto.ExportTaskDTO
 * @date 2022/4/11
 */
@ApiModel
@Data
public class ExportTaskDTO {
    /**
     * 任务id集合
     */
    @ApiModelProperty("任务id集合")
    @NotEmpty(message = "任务id集合不能为空")
    private List<Long> taskIds;

    /**
     * 含正常分类结果
     */
    @ApiModelProperty("含正常分类结果")
    @NotNull(message = "含正常分类结果不能为空")
    private boolean hasCommon;

    /**
     * 含存疑
     */
    @ApiModelProperty("含存疑")
    @NotNull(message = "含存疑为空")
    private boolean hasProblem;

    /**
     * 含忽略
     */
    @ApiModelProperty("含忽略")
    @NotNull(message = "含忽略不能为空")
    private boolean hasIgnore;

    /**
     * 标注类型集合
     */
    @ApiModelProperty("标注类型集合")
    @JsonIgnore
    private List<Integer> markTypeList;

}
