package cn.sino.mark.common.model.dto;

import io.swagger.annotations.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author sch
 * @description 内部用户登录参数
 * @className cn.sino.mark.common.model.dto.InnerLoginDTO
 * @date 2022/4/18
 */
@Data
@ApiModel
public class InnerLoginDTO {
    /**
     * token
     */
    @ApiModelProperty("token")
    @NotBlank(message = "token不能为空")
    private String token;

    /**
     * userSource
     */
    @ApiModelProperty("userSource")
    @NotNull(message = "userSource不能为空")
    private Integer userSource;
}
