package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author zhangamin
 * @description 打标
 * @className cn.sino.mark.common.model.dto.MarkProjectTaskDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class MarkProjectTaskDTO {

    /**
     * 任务明细id
     */
    @ApiModelProperty("任务明细id")
    @NotNull(message = "任务明细id不能为空")
    private Long taskDetailId;

    /**
     * 打标分类ID
     */
    @ApiModelProperty("'打标分类ID'")
    private String categoryId;
    private List<String> categoryIds;

    /**
     * 类型(0:打标,1忽略)
     */
    @ApiModelProperty("类型(0:打标,1:忽略)")
    @NotNull(message = "标注类型不能为空")
    private Integer type;

    /**
     * 是否存疑
     */
    @ApiModelProperty("是否存疑")
    private boolean hasProblem = false;

    /**
     * 验证结果
     */
    @ApiModelProperty("验证结果")
    private Integer sampleType;

    /**
     * 验证说明
     */
    @ApiModelProperty("验证说明")
    private String sampleDesc;

}