package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author zhangamin
 * @description 修改分类
 * @className cn.sino.mark.common.model.dto.ModifyCategoryDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class ModifyCategoryDTO {

    /**
     * 分类ID
     */
    @NotNull(message = "分类ID不能为空")
    @ApiModelProperty(value = "分类ID", required = true)
    private String categoryId;

    /**
     * 分类名称
     */
    @NotBlank(message = "分类名称不能为空")
    @ApiModelProperty(value = "分类名称", required = true)
    private String categoryName;

}