package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author zhangamin
 * @description 修改分组
 * @className cn.sino.mark.common.model.dto.ModifyProjectGroupDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class ModifyProjectGroupDTO {

    /**
     * 项目分组ID
     */
    @NotNull(message = "项目分组ID不能为空")
    @ApiModelProperty(value = "项目分组ID", required = true)
    private Long groupId;

    /**
     * 项目分组名称
     */
    @NotBlank(message = "项目分组名称不能为空")
    @ApiModelProperty(value = "项目分组名称", required = true)
    private String groupName;

}