package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @author zhangamin
 * @description 查询项目列表参数
 * @className cn.sino.mark.common.model.dto.QueryProjectDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class QueryProjectDTO {
    /**
     * 页码
     */
    @ApiModelProperty("页码")
    private Integer pageNum = 1;

    /**
     * 每页数量
     */
    @ApiModelProperty("每页数量")
    private Integer pageSize = 10;

    /**
     * 项目名称或ID
     */
    @ApiModelProperty("项目名称或ID")
    private String nameOrId;

    /**
     * 所属任务组
     */
    @ApiModelProperty("所属任务组")
    private Long groupId;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

    /**
     * 有效期开始时间
     */
    @ApiModelProperty("有效期开始时间")
    private String validBeginTime;

    /**
     * 有效期结束时间
     */
    @ApiModelProperty("有效期结束时间")
    private String validEndTime;

    /**
     * 完成日期开始时间
     */
    @ApiModelProperty("完成日期开始时间")
    private String completeBeginTime;

    /**
     * 完成日期结束时间
     */
    @ApiModelProperty("完成日期结束时间")
    private String completeEndTime;

    /**
     * 分配日期开始时间
     */
    @ApiModelProperty("分配日期开始时间")
    private String assignBeginTime;

    /**
     * 分配日期结束时间
     */
    @ApiModelProperty("分配日期结束时间")
    private String assignEndTime;
}