package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author zhangamin
 * @description 查询资源列表参数
 * @className cn.sino.mark.common.model.dto.QueryResourceDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class QueryResourceDTO {

    /**
     * 页码
     */
    @ApiModelProperty(value = "页码", required = true)
    @NotNull(message = "请输入页码")
    private Integer pageNum = 1;

    /**
     * 每页数量
     */
    @ApiModelProperty(value = "每页数量", required = true)
    @NotNull(message = "请选择每页数量")
    private Integer pageSize = 10;

    /**
     * 资源ID
     */
    @ApiModelProperty("资源ID")
    private Long resourceId;

    /**
     * 资源名称
     */
    @ApiModelProperty("资源名称")
    private String resourceName;

    /**
     * 名称或ID
     */
    @ApiModelProperty("名称或ID")
    private String nameOrId;

    /**
     * 创建日期开始时间
     */
    @ApiModelProperty("创建日期开始时间")
    private String beginTime;

    /**
     * 创建日期结束时间
     */
    @ApiModelProperty("创建日期结束时间")
    private String endTime;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String createByName;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer assignStatus;

}