package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author sch
 * @description 查询任务条件
 * @className cn.sino.mark.common.model.dto.QueryTaskDTO
 * @date 2022/4/10
 */
@ApiModel
@Data
public class QueryTaskDTO {
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 页码
     */
    @ApiModelProperty("页码")
    private Integer pageNum = 1;

    /**
     * 每页数量
     */
    @ApiModelProperty("每页数量")
    private Integer pageSize = 10;

    /**
     * 项目名称或ID
     */
    @ApiModelProperty("项目名称或ID")
    private String projectNameOrId;

    /**
     * 任务名称或ID
     */
    @ApiModelProperty("任务名称或ID")
    private String nameOrId;

    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer status;

    /**
     * 即将到期
     */
    @ApiModelProperty("即将到期")
    private Integer expiredDays;

    /**
     * 存疑
     */
    @ApiModelProperty("存疑")
    private Integer hasProblem;

    /**
     * 有效期开始时间
     */
    @ApiModelProperty("有效期开始时间")
    private String validBeginTime;

    /**
     * 有效期结束时间
     */
    @ApiModelProperty("有效期结束时间")
    private String validEndTime;

    /**
     * 项目组id
     */
    @ApiModelProperty("项目组id")
    private Long groupId;

    /**
     * 类型
     */
    @ApiModelProperty("类型")
    private Integer type;

    /**
     * 完成时间开始时间
     */
    @ApiModelProperty("完成时间开始时间")
    private String completeBeginTime;

    /**
     * 完成时间结束时间
     */
    @ApiModelProperty("完成时间结束时间")
    private String completeEndTime;

    /**
     * 已完成
     */
    @ApiModelProperty("已完成")
    private Integer isFinish;
}
