package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author zhangamin
 * @description 重新指派任务
 * @className cn.sino.mark.common.model.dto.ReAssignProjectTaskDTO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class ReAssignProjectTaskDTO {

    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID", required = true)
    @NotNull(message = "项目id不能为空")
    private Long projectId;

    /**
     * 任务ID
     */
    @ApiModelProperty(value = "任务ID", required = true)
    @NotNull(message = "任务ID不能为空")
    private Long taskId;

    /**
     * 打标人用户ID
     */
    @ApiModelProperty(value = "打标人用户ID", required = true)
    @NotNull(message = "打标人用户ID不能为空")
    private Long markUserId;

    /**
     * 有效期开始时间
     */
    @ApiModelProperty(value = "有效期开始时间", required = true)
    @NotNull(message = "有效期开始时间不能为空")
    private LocalDateTime beginTime;

    /**
     * 有效期结束时间
     */
    @ApiModelProperty(value = "有效期结束时间", required = true)
    @NotNull(message = "有效期结束时间不能为空")
    private LocalDateTime endTime;
}