package cn.sino.mark.common.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author zhangamin
 * @description 用户登录参数
 * @className cn.sino.coop.common.model.dto.UserLoginDTO
 * @date 2022/3/16
 */
@Data
@ApiModel
public class UserLoginDTO {

    /**
     * 用户账号
     */
    @ApiModelProperty(value = "用户账号", required = true)
    @NotBlank(message = "登录账号不能为空")
    private String account;

    /**
     * 用户密码
     */
    @ApiModelProperty(value = "用户密码", required = true)
    @NotBlank(message = "登录密码不能为空")
    private String password;


}
