package cn.sino.mark.common.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangamin
 * @description 项目任务列表
 * @className cn.sino.mark.common.model.vo.ProjectTaskPageItemVO
 * @date 2022/3/27
 */
@Data
@ApiModel
public class ProjectTaskPageItemVO {

    /**
     * 任务ID
     */
    @ApiModelProperty("任务ID")
    private Long taskId;

    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String name;

    /**
     * 打标人账号
     */
    @ApiModelProperty("打标人账号")
    private String markUserAccount;
    private String markUserName;
    private Long userId;

    /**
     * 资源类型(0:文本,1:图片,2:视频)
     */
    @ApiModelProperty(value = "资源类型(0:文本,1:图片,2:视频)", required = true)
    private String typeName;
    private Integer type;

    /**
     * 状态(已完成，进行中，已过期，待开始)
     */
    @ApiModelProperty("状态(已完成，进行中，已过期，待开始)")
    private String statusName;
    private Integer status;

    /**
     * 已打标数量
     */
    @ApiModelProperty("已打标数量")
    private Integer markedNum;

    /**
     * 总数量
     */
    @ApiModelProperty("总数量")
    private Integer totalNum;

    /**
     * 存疑数量
     */
    @ApiModelProperty("存疑数量")
    private Integer problemNum;

    /**
     * 忽略数量
     */
    @ApiModelProperty("忽略数量")
    private Integer ignoreNum;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String beginTimeStr;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endTimeStr;

    /**
     * 完成时间
     */
    @ApiModelProperty("完成时间")
    private String completeTimeStr;

    /**
     * 有效期时间段
     */
    @ApiModelProperty("有效期时间段")
    private String validTimeStr;

    /**
     * 抽样总数
     */
    @ApiModelProperty("抽样总数")
    private Integer totalSampleNum;

    /**
     * 验证成功数量
     */
    @ApiModelProperty("验证成功数量")
    private Integer successNum;

    /**
     * 失败数量
     */
    @ApiModelProperty("失败数量")
    private Integer failedNum;

    /**
     * 抽样成功率
     */
    @ApiModelProperty("抽样成功率")
    private String successRate;

    /**
     * 项目id
     */
    @ApiModelProperty("项目id")
    private Long projectId;

    /**
     * 项目名称
     */
    @ApiModelProperty("项目名称")
    private String projectName;

    /**
     * 项目组
     */
    @ApiModelProperty("项目组")
    private String projectGroup;

}