package cn.sino.mark.common.model.vo;

import io.swagger.annotations.*;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author sch
 * @description 用户基础信息
 * @className cn.sino.mark.common.model.vo.UserBaseInfoVO
 * @date 2022/4/6
 */
@Data
@ApiModel
public class UserBaseInfoVO {
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String userName;

    /**
     * 账户
     */
    @ApiModelProperty("账户")
    private String account;

    /**
     * 来源
     */
    @ApiModelProperty("来源")
    private String userTypeName;

    /**
     * 已分配任务数
     * 包括 待开始/进行中 状态的统计数量。
     * 已完成/已过期状态不进行统计。
     */
    @ApiModelProperty("已分配任务数")
    private Integer taskNum;
}
