package cn.sino.mark.common.properties;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author sch
 * @description 内部用户登录配置
 * @className cn.sino.mark.common.properties.InnerUserProperties
 * @date 2022/4/20
 */
@Setter
@Getter
@ConfigurationProperties(prefix = "inner-user")
public class InnerUserProperties {
    /**
     * 查询用户信息链接
     */
    private String queryUserUrl;

    /**
     * 校验用户是否登录链接
     */
    private String checkUserUrl;

    /**
     * token-key
     */
    private String tokenKey;
}
