package cn.sino.mark.common.utils;

import javax.servlet.http.HttpServletRequest;


/**
 * IP工具类
 *
 * @author zhangamin
 * @date 2020/11/23
 */
public class IPHelper {

    /**
     * 本机地址
     */
    private static final String DEFAULT_LOCAL_HOST = "127.0.0.1";

    /**
     * 未知IP地址
     */
    private static final String UNKNOWN_IP = "unknown";

    private IPHelper(){}

    /**
     * 获取客户端真实IP
     * @param request
     * @return
     */
    public static String getIpAddress(HttpServletRequest request) {
        String ip = request.getHeader("X-Real-IP");
        if (ip == null || ip.length() == 0 || UNKNOWN_IP.equalsIgnoreCase(ip)) {
            ip = request.getHeader("X-Forwarded-For");
        }
        if(ip == null || ip.length() == 0 || UNKNOWN_IP.equalsIgnoreCase(ip)) {
            ip = request.getHeader("Proxy-Client-IP");
        }else{
            String[] ipArr = ip.split(",");
            for (int i=0;i<ipArr.length;i++){
                if (!ipArr[i].trim().equals(UNKNOWN_IP)){
                    ip = ipArr[i].trim();
                    break;
                }
            }
        }
        if(ip == null || ip.length() == 0 || UNKNOWN_IP.equalsIgnoreCase(ip)) {
            ip = request.getHeader("WL-Proxy-Client-IP");
        }
        if(ip == null || ip.length() == 0 || UNKNOWN_IP.equalsIgnoreCase(ip)) {
            ip = request.getRemoteAddr();
        }
        if (ip.equals("0:0:0:0:0:0:0:1")){
            return DEFAULT_LOCAL_HOST;
        }
        return ip;
    }

}
