package cn.sino.mark.dao.mapper;

import cn.sino.mark.dao.model.CategoryDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author zhangamin
 * @description 针对表【t_category(标注分类表)】的数据库操作Mapper
 * @date 2022-03-27 18:51:22
 * @className cn.sino.mark.dao.model.Category
 */
public interface CategoryMapper extends BaseMapper<CategoryDO> {

    /**
     * 查询编号最大的一级分类
     *
     * @return CategoryDO
     */
    CategoryDO selectLastLevelOneCategory();

    /**
     * 查询当前层级下的最后一个分类
     *
     * @param parentId 父级id
     * @return CategoryDO
     */
    CategoryDO selectLastCurLevelCategory(@Param("parentId") String parentId);

    /**
     * 根据id查询
     *
     * @param categoryId 分类id
     * @return CategoryDO
     */
    CategoryDO selectByPrimary(@Param("categoryId") String categoryId);
}




