package cn.sino.mark.dao.mapper;

import cn.sino.mark.common.model.bo.LabelBO;
import cn.sino.mark.common.model.dto.LabelPageDTO;
import cn.sino.mark.dao.model.LabelDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * 针对表【label(标签表)】的数据库操作Mapper
 *
 * @author zhangamin
 * @date 2022/8/14
 */
public interface LabelMapper extends BaseMapper<LabelDO> {
    /**
     * 分页查询标签
     * @param reqDTO 查询参数
     * @return 分页信息
     */
    Page<LabelBO> selectLabelPage(LabelPageDTO reqDTO);

    /**
     * 查询标签详细信息
     * @param id 标签id
     * @return 标签信息
     */
    LabelBO selectInfoById(Long id);

    /**
     * 查询所有标签
     * @return 标签信息
     */
    List<LabelBO> selectAll();
}




