package cn.sino.mark.dao.mapper;

import cn.sino.mark.common.model.bo.ProjectBO;
import cn.sino.mark.common.model.dto.QueryProjectDTO;
import cn.sino.mark.dao.model.ProjectDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.Page;

/**
* @author zhangamin
* @description 针对表【t_project】的数据库操作Mapper
* @date 2022-03-27 20:20:42
* @className cn.sino.mark.dao.model.Project
*/
public interface ProjectMapper extends BaseMapper<ProjectDO> {

    /**
     * 分页查询项目
     *
     * @param queryProjectDTO 查询条件
     * @return Page<ProjectBO>
     */
    Page<ProjectBO> selectProjectPage(QueryProjectDTO queryProjectDTO);

    /**
     * 查询项目总数
     *
     * @param queryProjectDTO 查询条件
     * @return int
     */
    Integer selectProjectPageTotal(QueryProjectDTO queryProjectDTO);
}




