package cn.sino.mark.dao.mapper;

import cn.sino.mark.dao.model.ResourceDO;
import cn.sino.mark.dao.model.ResourceDataDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author sch
 * @description 针对表【t_resource_data(资源(数据集)数据表)】的数据库操作Mapper
 * @className cn.sino.mark.dao.mapper.ResourceDataMapper
 * @date 2022/4/1
 */
public interface ResourceDataMapper extends BaseMapper<ResourceDO> {
    /**
     * 批量新增
     *
     * @param list 数据集
     */
    void batchInsert(@Param("list") List<ResourceDataDO> list);

    /**
     * 根据资源id集合查询资源数据
     *
     * @param list 资源id集合
     * @return List<ResourceDataDO>
     */
    List<ResourceDataDO> selectDataListByResIds(@Param("list") List<Long> list);

    /**
     * 更新资源数据草稿状态
     *
     * @param resourceId 资源id
     */
    void updateDraftByResourceId(@Param("resourceId") Long resourceId);

    /**
     * 查询资源数量
     *
     * @param resourceId 资源id
     * @return int
     */
    Integer selectCountByResource(@Param("resourceId") Long resourceId);

    /**
     * 删除资源数据
     *
     * @param resourceId 资源id
     */
    void deleteByResourceId(@Param("resourceId") Long resourceId);
}
