package cn.sino.mark.dao.mapper;

import cn.sino.mark.common.model.bo.ResourceBO;
import cn.sino.mark.common.model.dto.QueryResourceDTO;
import cn.sino.mark.dao.model.ResourceDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangamin
 * @description 针对表【t_resource(资源(数据集)表)】的数据库操作Mapper
 * @date 2022-03-27 19:58:45
 * @className cn.sino.mark.dao.model.ResourceDO
 */
public interface ResourceMapper extends BaseMapper<ResourceDO> {

    /**
     * 分页查询资源列表
     *
     * @param queryResourceDTO 查询条件
     * @return Page<ResourceDO>
     */
    Page<ResourceBO> pageResource(QueryResourceDTO queryResourceDTO);

    /**
     * 根据资源id集合查询
     *
     * @param idList 资源id集合
     * @return List<ResourceDO>
     */
    List<ResourceDO> selectListByIds(@Param("idList") List<Long> idList);

    /**
     * 批量更新
     *
     * @param list 集合
     */
    void batchUpdate(@Param("list") List<ResourceDO> list);
}




