package cn.sino.mark.dao.mapper;

import cn.sino.mark.dao.model.SysRolePermDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
* @author shichanghao
* @description 针对表【t_sys_role_perm(系统角色权限表)】的数据库操作Mapper
* @createDate 2022-03-30 19:28:15
* @Entity cn.sino.mark.dao.model.SysRolePermDO
*/
public interface SysRolePermMapper extends BaseMapper<SysRolePermDO> {

    /**
     * 新增角色权限关系
     * @param sysRolePerm
     */
    int insert(SysRolePermDO sysRolePerm);

    /**
     * 批量插入角色权限关系
     * @param sysRolePermList
     */
    void insertBatch(List<SysRolePermDO> sysRolePermList);

    /**
     * 更加角色id删除角色权限关系
     * @param roleId 角色id
     */
    int deleteByRoleId(Long roleId);

    /**
     * 根据权限id查询角色权限关系
     * @param permId 权限id
     * @return
     */
    List<SysRolePermDO> selectByPermId(Long permId);

    /**
     * 查询所有角色权限关系
     * @return
     */
//    List<SysRolePerm> selectAll();


//    List<SysRolePermBO> selectAllRolePerm();
}




