package cn.sino.mark.dao.mapper;

import cn.sino.mark.common.model.bo.SysUserBO;
import cn.sino.mark.common.model.dto.QueryUserPageDTO;
import cn.sino.mark.dao.model.SysUserDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangamin
 * @description 针对表【t_sys_user(后台系统用户表)】的数据库操作Mapper
 * @date 2022/3/16
 * @className cn.sino.coop.dao.mapper.SysUserMapper
 */
public interface SysUserMapper extends BaseMapper<SysUserDO> {

    /**
     * 分页查询用户列表
     *
     * @param queryUserPageDTO 查询条件
     * @return Page<SysUserBO>
     */
    Page<SysUserBO> pageUsers(QueryUserPageDTO queryUserPageDTO);

    /**
     * 根据用户id集合查询
     *
     * @param userIds 用户id集合
     * @return List<SysUserDO>
     */
    List<SysUserDO> selectListByUserIds(@Param("userIds") List<Long> userIds);

    /**
     * 查询待选标注人员
     *
     * @param projectId 项目id
     * @return List<SysUserBO>
     */
    List<SysUserBO> selectMarkPersonList(@Param("projectId") Long projectId);
}




