package cn.sino.mark.dao.mapper;

import cn.sino.mark.dao.model.SysUserRoleDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
* @author shichanghao
* @description 针对表【t_sys_user_role(系统用户角色表)】的数据库操作Mapper
* @date 2022-03-30 23:06:59
* @className  cn.sino.mark.dao.model.SysUserRoleDO
*/
public interface SysUserRoleMapper extends BaseMapper<SysUserRoleDO> {

    /**
     * 批量插入用户角色关系
     * @param sysUserRoleList 用户和角色list
     */
    void insertBatch(List<SysUserRoleDO> sysUserRoleList);

    /**
     * 根据用户id删除用户与角色的关联关系
     * @param userId 用户id
     */
    int deleteByUserId(Long userId);

    /**
     * 根据角色id查询用户角色的关联关系
     * @param roleId 角色id
     * @return 用户角色信息
     */
    List<SysUserRoleDO> selectByRoleId(Long roleId);

    /**
     * 根据用户id查询用户角色的关联关系
     * @param userId
     * @return
     */
    List<SysUserRoleDO> selectByUserId(Long userId);
}




