package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author sch
 * @description 标注分类集【t_category】
 * @className cn.sino.mark.dao.model.CategoryDO
 * @date 2022/4/1
 */
@EqualsAndHashCode()
@TableName(value ="t_category")
@Data
public class CategoryDO implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 分类ID
     */
    @TableId(value = "category_id")
    private String categoryId;

    /**
     * 分类名称
     */
    @TableField(value = "category_name")
    private String categoryName;

    /**
     * 是否删除(0:正常;1:作废)
     */
    @TableField(value = "is_delete")
    private Integer isDelete;

    /**
     * 父级分类ID
     */
    @TableField(value = "parent_category_id")
    private String parentCategoryId;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;
}