package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 标签选项表
 *
 * @author zhangamin
 * @date 2022/8/14
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "t_label_item")
public class LabelItemDO {

    /**
     * PK
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 标签ID
     */
    private Long labelId;

    /**
     * 标签选项名称
     */
    private String name;

    /**
     * 排序(时间戳)
     */
    private Long sort;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

}