package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @author sch
 * @description 项目-分类表【t_project_category】
 * @date 2022/4/4
 * @className cn.sino.coop.dao.model.ProjectCategoryDO
 */
@EqualsAndHashCode(callSuper = true)
@TableName(value ="t_project_category")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ProjectCategoryDO extends BaseDO implements Serializable {
    /**
     * PK
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 项目ID
     */
    @TableField(value = "project_id")
    private Long projectId;

    /**
     * 分类ID
     */
    @TableField(value = "category_id")
    private String categoryId;

    /**
     * 分类快照
     */
    @TableField(value = "category_snapshot")
    private String categorySnapshot;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}