package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author sch
 * @description 项目表【t_project】
 * @date 2022/4/4
 * @className cn.sino.coop.dao.model.ProjectDO
 */
@EqualsAndHashCode(callSuper = true)
@TableName(value ="t_project")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ProjectDO extends BaseDO implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * PK
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 项目id
     */
    @TableField(value = "project_id")
    private Long projectId;

    /**
     * 项目名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 项目描述
     */
    @TableField(value = "description")
    private String description;

    /**
     * 有效期开始时间
     */
    @TableField(value = "begin_time")
    private LocalDateTime beginTime;

    /**
     * 有效期结束时间
     */
    @TableField(value = "end_time")
    private LocalDateTime endTime;

    /**
     * 推送时间
     */
    @TableField(value = "push_time")
    private LocalDateTime pushTime;

    /**
     * 完成日期
     */
    @TableField(value = "complete_time")
    private LocalDateTime completeTime;

    /**
     * 分组ID
     */
    @TableField(value = "group_id")
    private Long groupId;

    /**
     * 状态(0:草稿状态,1:完成状态)
     */
    @TableField(value = "status")
    private Integer status;
}