package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @author sch
 * @description 项目组表表【t_project_group】
 * @date 2022/4/3
 * @className cn.sino.mark.dao.model.ProjectGroupDO
 */
@EqualsAndHashCode(callSuper = true)
@TableName(value ="t_project_group")
@Data
@SuperBuilder()
@AllArgsConstructor
@NoArgsConstructor
public class ProjectGroupDO extends BaseDO implements Serializable {
    /**
     * PK
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 分组ID
     */
    @TableField(value = "group_id")
    private Long groupId;

    /**
     * 分组名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 状态(0:正常;1:作废)
     */
    @TableField(value = "status")
    private Integer status;

    /**
     * 父级分组ID
     */
    @TableField(value = "parent_id")
    private Long parentId;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}