package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author sch
 * @description 项目-任务表【t_project_task】
 * @date 2022/4/4
 * @className cn.sino.coop.dao.model.ProjectTaskDO
 */
@EqualsAndHashCode(callSuper = true)
@TableName(value ="t_project_task")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ProjectTaskDO extends BaseDO implements Serializable {
    /**
     * PK
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 任务ID
     */
    @TableField(value = "task_id")
    private Long taskId;

    /**
     * 项目ID
     */
    @TableField(value = "project_id")
    private Long projectId;

    /**
     * 任务名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 用户ID
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 用户账户
     */
    @TableField(value = "account")
    private String account;

    /**
     * 资源类型(0:文本,1:图片,2:视频)
     */
    @TableField(value = "type")
    private Integer type;

    /**
     * 任务数量
     */
    @TableField(value = "task_count")
    private Integer taskCount;

    /**
     * 有效期开始时间
     */
    @TableField(value = "begin_time")
    private LocalDateTime beginTime;

    /**
     * 有效期结束日期
     */
    @TableField(value = "end_time")
    private LocalDateTime endTime;

    /**
     * 完成时间
     */
    @TableField(value = "complete_time")
    private LocalDateTime completeTime;

    /**
     * 是否完成
     */
    @TableField(value = "is_complete")
    private Integer isComplete;

    /**
     * 已打标数量
     */
    @TableField(value = "mark_num")
    private Integer markNum;

    /**
     * 存疑数量
     */
    @TableField(value = "problem_num")
    private Integer problemNum;

    /**
     * 忽略数量
     */
    @TableField(value = "ignore_num")
    private Integer ignoreNum;

    /**
     * 验证成功数量
     */
    @TableField(value = "success_num")
    private Integer successNum;

    /**
     * 失败数量
     */
    @TableField(value = "failed_num")
    private Integer failedNum;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}