package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author sch
 * @description 项目-任务明细表【t_project_task_detail】
 * @date 2022/4/4
 * @className cn.sino.coop.dao.model.ProjectTaskDetailDO
 */
@TableName(value ="t_project_task_detail")
@Data
public class ProjectTaskDetailDO implements Serializable {
    /**
     * PK
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 任务明细ID
     */
    @TableField(value = "detail_id")
    private Long detailId;

    /**
     * 项目ID
     */
    @TableField(value = "project_id")
    private Long projectId;

    /**
     * 任务ID
     */
    @TableField(value = "task_id")
    private Long taskId;

    /**
     * 资源数据ID
     */
    @TableField(value = "data_id")
    private Long dataId;

    /**
     * 打标分类ID
     */
    @TableField(value = "category_id")
    private String categoryId;

    /**
     * 打标分类IDs
     */
    @TableField(value = "category_ids")
    private String categoryIds;

    /**
     * 类型(0:打标,1:存疑,2:忽略)
     */
    @TableField(value = "type")
    private Integer type;

    /**
     * 是否存疑
     */
    @TableField(value = "has_problem")
    private Integer hasProblem;

    /**
     * 打标人ID
     */
    @TableField(value = "mark_user_id")
    private Long markUserId;

    /**
     * 操作时间(打标，忽略，存疑)
     */
    @TableField(value = "mark_time")
    private LocalDateTime markTime;

    /**
     * 是否打标(0:未打标,1:已打标)
     */
    @TableField(value = "is_mark")
    private Integer isMark;

    /**
     * 抽样类型(0:未抽样,1：验证成功，2：验证失败)
     */
    @TableField(value = "sample_type")
    private Integer sampleType;

    /**
     * 验证说明
     */
    @TableField(value = "sample_desc")
    private String sampleDesc;

    /**
     * 抽样验证时间
     */
    @TableField(value = "sample_time")
    private LocalDateTime sampleTime;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}