package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @author sch
 * @description 资源包表【t_resource】
 * @date 2022/3/16
 * @className cn.sino.coop.dao.model.ResourceDO
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName(value ="t_resource")
@SuperBuilder()
@AllArgsConstructor
@NoArgsConstructor
public class ResourceDO extends BaseDO implements Serializable {


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * PK
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 资源ID
     */
    @TableField(value = "resource_id")
    private Long resourceId;

    /**
     * 资源名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 资源类型(0:文本,1:图片,2:视频)
     */
    @TableField(value = "type")
    private Integer type;

    /**
     * 资源数量
     */
    @TableField(value = "resource_count")
    private Integer resourceCount;

    /**
     * 状态(0:正常;1:作废)
     */
    @TableField(value = "status")
    private Integer status;

    /**
     * 分配状态(0:未分配,1:已分配)
     */
    @TableField(value = "assign_status")
    private Integer assignStatus;
}