package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author sch
 * @description 资源数据集【t_resource_data】
 * @className cn.sino.mark.dao.model.ResourceDataDO
 * @date 2022/4/1
 */
@Data
@TableName("t_resource_data")
public class ResourceDataDO implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * PK
     */
    @TableField(value = "id")
    private Long id;

    /**
     * 资源数据id
     */
    @TableField(value = "data_id")
    private Long dataId;

    /**
     * 资源id
     */
    @TableField(value = "resource_id")
    private Long resourceId;

    /**
     * 文本内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 图片地址
     */
    @TableField(value = "pic_url")
    private String picUrl;

    /**
     * 视频地址
     */
    @TableField(value = "mov_url")
    private String movUrl;

    /**
     * 注释或者参考文本内容
     */
    @TableField(value = "hint")
    private String hint;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 草稿状态 0:否,1:是
     */
    @TableField(value = "is_draft")
    private Integer isDraft;
}
