package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 系统权限表
 * @TableName t_sys_perm
 */
@TableName(value ="t_sys_perm")
@Data
public class SysPermDO implements Serializable {
    /**
     * PK
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 角色ID
     */
    @TableField(value = "perm_id")
    private Long permId;

    /**
     * 权限名称
     */
    @TableField(value = "perm_name")
    private String permName;

    /**
     * 权限代码
     */
    @TableField(value = "perm_code")
    private String permCode;

    /**
     * 是否是菜单（0：不是；1：是）
     */
    @TableField(value = "is_menu")
    private Integer isMenu;

    /**
     * 父节点ID
     */
    @TableField(value = "parent_id")
    private Long parentId;

    /**
     * 是否默认权限(0：不是，1：是)
     */
    @TableField(value = "is_default")
    private Integer isDefault;

    /**
     * 排序
     */
    @TableField(value = "sort")
    private Long sort;

    /**
     * 是否删除(0:正常;1:删除)
     */
    @TableField(value = "is_delete")
    private Integer isDelete;

    /**
     * 创建人
     */
    @TableField(value = "create_by")
    private Long createBy;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @TableField(value = "update_by")
    private Long updateBy;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}