package cn.sino.mark.dao.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;


/**
 * @author zhangamin
 * @description 后台系统用户表【t_sys_user】
 * @date 2022/3/16
 * @className cn.sino.coop.dao.model.SysUserDO
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("t_sys_user")
public class SysUserDO extends BaseDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 用户账号
     */
    @TableField(value = "account")
    private String account;

    /**
     * 用户加密的密码
     */
    @TableField(value = "password")
    private String password;

    /**
     * 用户姓名
     */
    @TableField(value = "user_name")
    private String userName;

    /**
     * 用户状态(0:正常;1:冻结)
     */
    @TableField(value = "status")
    private Integer status;

    /**
     * 用户类型(0:外部员工;1:内部员工)
     */
    @TableField(value = "user_type")
    private Integer userType;

    /**
     * 部门ID
     */
    @TableField(value = "dept_id")
    private Long deptId;

}