package cn.sino.mark.service;

import cn.sino.mark.common.model.dto.AddCategoryDTO;
import cn.sino.mark.common.model.dto.ModifyCategoryDTO;
import cn.sino.mark.common.model.vo.CategoryTreeVo;

import java.util.List;

/**
 * @author sch
 * @description 分类接口
 * @className cn.sino.mark.service.CategoryService
 * @date 2022/3/31
 */
public interface CategoryService {
    /**
     * 新增分类
     *
     * @param addCategoryDTO 新增分类参数
     */
    void addCategory(AddCategoryDTO addCategoryDTO);

    /**
     * 修改分类
     *
     * @param modifyCategoryDTO 修改分类参数
     * @param categoryId        分类id
     */
    void modifyCategory(ModifyCategoryDTO modifyCategoryDTO, String categoryId);

    /**
     * 删除(作废)分类
     *
     * @param categoryId 分类id
     */
    void removeCategory(String categoryId);

    /**
     * 获取分类树列表
     *
     * @return List<CategoryTreeVo>
     */
    List<CategoryTreeVo> getCategoryTree();

    /**
     * 获取分类树快照
     *
     * @param taskId 任务id
     * @return List<Object>
     */
    List<Object> treeSnapshot(Long taskId);
}
