package cn.sino.mark.service;

import cn.sino.common.base.PageResult;
import cn.sino.mark.common.model.dto.AddLabelDTO;
import cn.sino.mark.common.model.dto.EditLabelDTO;
import cn.sino.mark.common.model.dto.LabelPageDTO;
import cn.sino.mark.common.model.vo.LabelAllVO;
import cn.sino.mark.common.model.vo.LabelInfoVO;
import cn.sino.mark.common.model.vo.LabelPageVO;

import java.util.List;

/**
 * 标签业务接口
 *
 * @author zhangamin
 * @date 2022/8/14
 */
public interface LabelService {

    /**
     * 添加标签
     *
     * @param reqDTO 添加参数
     */
    void addLabel(AddLabelDTO reqDTO);

    /**
     * 编辑标签
     *
     * @param reqDTO 编辑参数
     */
    void editLabel(EditLabelDTO reqDTO);

    /**
     * 删除标签
     *
     * @param id 标签id
     */
    void delete(Long id);

    /**
     * 分页查询
     *
     * @param reqDTO 参数
     * @return 返回信息
     */
    PageResult<LabelPageVO> getPage(LabelPageDTO reqDTO);

    /**
     * 查询标签详情
     *
     * @param id 标签id
     * @return 标签信息
     */
    LabelInfoVO selectInfo(Long id);

    /**
     * 查询所以标签
     *
     * @return 标签信息
     */
    List<LabelAllVO> selectAll();
}
