package cn.sino.mark.service;

import cn.sino.mark.common.model.dto.AddProjectGroupDTO;
import cn.sino.mark.common.model.dto.ModifyProjectGroupDTO;
import cn.sino.mark.common.model.vo.ProjectGroupTreeVO;

import java.util.List;

/**
 * @author shichanghao
 * @description 针对表【t_project_group(项目分组表)】的数据库操作Service
 * @className cn.sino.mark.service.ProjectGroupService
 * @date 2022-04-03 20:01:41
 */
public interface ProjectGroupService {

    /**
     * 新增项目组
     *
     * @param addProjectGroupDTO 新增项目组信息
     */
    void addGroup(AddProjectGroupDTO addProjectGroupDTO);

    /**
     * 修改项目组
     *
     * @param modifyDTO 修改项目组信息
     * @param groupId   项目组id
     */
    void modifyGroup(ModifyProjectGroupDTO modifyDTO, Long groupId);

    /**
     * 作废项目组
     *
     * @param groupId 项目组id
     */
    void removeGroup(Long groupId);

    /**
     * 获取分组树列表
     *
     * @return List<ProjectGroupTreeVO>
     */
    List<ProjectGroupTreeVO> getTree();
}
