package cn.sino.mark.service.convert;

import cn.sino.mark.common.model.bo.ProjectTaskBO;
import cn.sino.mark.common.model.bo.ProjectTaskDetailBO;
import cn.sino.mark.common.model.dto.AddProjectDTO;
import cn.sino.mark.common.model.vo.ProjectTaskDetailVO;
import cn.sino.mark.common.model.vo.ProjectTaskPageItemVO;
import cn.sino.mark.common.model.vo.ProjectVO;
import cn.sino.mark.common.model.vo.TaskDetailVO;
import cn.sino.mark.dao.model.ProjectDO;
import cn.sino.mark.dao.model.ProjectTaskDetailDO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

/**
 * @author sch
 * @description 项目管理转化类
 * @className cn.sino.mark.service.convert.ProjectMapStruct
 * @date 2022/4/5
 */
@Mapper(componentModel = "spring")
public interface ProjectMapStruct {

    /**
     * 将 AddProjectDTO 转化成 ProjectDO
     *
     * @param addProjectDTO 入参
     * @return ProjectDO
     */
    ProjectDO convertDTOToProjectDO(AddProjectDTO addProjectDTO);

    /**
     * 将 ProjectTaskBO 转化成 ProjectTaskPageItemVO
     *
     * @param projectTaskBO 入参
     * @return ProjectTaskPageItemVO
     */
    ProjectTaskPageItemVO convertTOTaskPageItemVO(ProjectTaskBO projectTaskBO);

    /**
     * 将 ProjectTaskDetailBO 转化成 ProjectTaskDetailVO
     *
     * @param projectTaskDetailBO 入参
     * @return ProjectTaskDetailVO
     */
    ProjectTaskDetailVO convertTOTaskDetailVO(ProjectTaskDetailBO projectTaskDetailBO);

    /**
     * 将 projectDO 转化成 ProjectVO
     *
     * @param projectDO 入参
     * @return ProjectVO
     */
    ProjectVO convertDOToProjectVO(ProjectDO projectDO);

    /**
     * 将 ProjectTaskDetailDO 转化成 TaskDetailVO
     *
     * @param detailDO 入参
     * @return TaskDetailVO
     */
    @Mapping(target = "hasProblem", source = "hasProblem", ignore = true)
    @Mapping(target = "categoryIds", source = "categoryIds", ignore = true)
    TaskDetailVO convertDOTOTaskDetailVO(ProjectTaskDetailDO detailDO);
}
